/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.statistik.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.statistik.entity.StatistikKennzeichenConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(StatistikKennzeichenMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class StatistikKennzeichenMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "statistikKennzeichenMeta";

  @Inject
  private transient Messages messages;

  public StatistikKennzeichenMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return StatistikKennzeichenConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return StatistikKennzeichenConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getKennzeichenEinzahlMessageKey(){
    return StatistikKennzeichenConstants.MESSAGE_KEY_KENNZEICHEN_EINZAHL;
  }

  public String getKennzeichenMehrzahlMessageKey(){
    return StatistikKennzeichenConstants.MESSAGE_KEY_KENNZEICHEN_MEHRZAHL;
  }


  public String getKennzeichenEinzahlMessage(){
    return getMessage(getKennzeichenEinzahlMessageKey());
  }

  public String getKennzeichenMehrzahlMessage(){
    return getMessage(getKennzeichenMehrzahlMessageKey());
  }



  public boolean isKennzeichenRequired() {
    return !StatistikKennzeichenConstants.KENNZEICHEN_NULLABLE;
  }

  public de.ivu.elect.business.statistik.entity.StatistikKennzeichenArt getKennzeichenDefaultValue() {
    return StatistikKennzeichenConstants.KENNZEICHEN_DEFAULT_VALUE;
  }


  public String getQualifierEinzahlMessageKey(){
    return StatistikKennzeichenConstants.MESSAGE_KEY_QUALIFIER_EINZAHL;
  }

  public String getQualifierMehrzahlMessageKey(){
    return StatistikKennzeichenConstants.MESSAGE_KEY_QUALIFIER_MEHRZAHL;
  }


  public String getQualifierEinzahlMessage(){
    return getMessage(getQualifierEinzahlMessageKey());
  }

  public String getQualifierMehrzahlMessage(){
    return getMessage(getQualifierMehrzahlMessageKey());
  }



  public boolean isQualifierRequired() {
    return !StatistikKennzeichenConstants.QUALIFIER_NULLABLE;
  }

  public java.lang.String getQualifierDefaultValue() {
    return StatistikKennzeichenConstants.QUALIFIER_DEFAULT_VALUE;
  }

  public int getQualifierMaxLength() {
    return StatistikKennzeichenConstants.QUALIFIER_MAX_LENGTH;
  }

  public String getWertEinzahlMessageKey(){
    return StatistikKennzeichenConstants.MESSAGE_KEY_WERT_EINZAHL;
  }

  public String getWertMehrzahlMessageKey(){
    return StatistikKennzeichenConstants.MESSAGE_KEY_WERT_MEHRZAHL;
  }


  public String getWertEinzahlMessage(){
    return getMessage(getWertEinzahlMessageKey());
  }

  public String getWertMehrzahlMessage(){
    return getMessage(getWertMehrzahlMessageKey());
  }



  public boolean isWertRequired() {
    return !StatistikKennzeichenConstants.WERT_NULLABLE;
  }

  public java.lang.Long getWertDefaultValue() {
    return StatistikKennzeichenConstants.WERT_DEFAULT_VALUE;
  }

  public int getWertMaxLength() {
    return StatistikKennzeichenConstants.WERT_MAX_LENGTH;
  }

  public long getWertMinValue() {
    return StatistikKennzeichenConstants.WERT_MIN_VALUE;
  }

  public long getWertMaxValue() {
    return StatistikKennzeichenConstants.WERT_MAX_VALUE;
  }


  public String getGebietEinzahlMessageKey(){
    return StatistikKennzeichenConstants.MESSAGE_KEY_GEBIET_ID_EINZAHL;
  }

  public String getGebietEinzahlMessage(){
    return getMessage(getGebietEinzahlMessageKey());
  }

  public boolean isGebietRequired() {
    return !StatistikKennzeichenConstants.GEBIET_ID_NULLABLE;
  }


  public String getStatistikLaufEinzahlMessageKey(){
    return StatistikKennzeichenConstants.MESSAGE_KEY_STATISTIK_LAUF_ID_EINZAHL;
  }

  public String getStatistikLaufEinzahlMessage(){
    return getMessage(getStatistikLaufEinzahlMessageKey());
  }

  public boolean isStatistikLaufRequired() {
    return !StatistikKennzeichenConstants.STATISTIK_LAUF_ID_NULLABLE;
  }


  public String getWahlEinzahlMessageKey(){
    return StatistikKennzeichenConstants.MESSAGE_KEY_WAHL_ID_EINZAHL;
  }

  public String getWahlEinzahlMessage(){
    return getMessage(getWahlEinzahlMessageKey());
  }

  public boolean isWahlRequired() {
    return !StatistikKennzeichenConstants.WAHL_ID_NULLABLE;
  }

}